Subject: Re: bug#45652: so-long mode not triggered despite big file with very long lines

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Jan 2021 17:28:00 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Tue, 12 Jan 2021 13:41:58 +0100
> Cc: [email-masked],
>  積丹尼 Dan Jacobson <[email-masked]>
> 
> > I'm not sure that so-long itself would find it useful to know any kind
> > of averages, but longest line is obviously useful, and the number of
> > lines sounds more or less like a freebie, and might be useful too.
> 
> OK, I'll write up a simple function, and we can tweak it later, if it
> turns out that more info is useful.

You are going to use find_newline_no_quit or somesuch, I hope?